Bug 1882288 - [abrt] xreader: ev_metadata_copy_to(): xreader killed by SIGSEGV
Summary: [abrt] xreader: ev_metadata_copy_to(): xreader killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xreader
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f2df89f3c43d9b932eede0c1405...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-24 09:08 UTC by stippi
Modified: 2021-05-25 16:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:47:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (56.71 KB, text/plain)
2020-09-24 09:08 UTC, stippi
no flags Details
File: core_backtrace (24.62 KB, text/plain)
2020-09-24 09:08 UTC, stippi
no flags Details
File: cpuinfo (2.53 KB, text/plain)
2020-09-24 09:08 UTC, stippi
no flags Details
File: dso_list (15.98 KB, text/plain)
2020-09-24 09:08 UTC, stippi
no flags Details
File: environ (3.44 KB, text/plain)
2020-09-24 09:08 UTC, stippi
no flags Details
File: exploitable (102 bytes, text/plain)
2020-09-24 09:08 UTC, stippi
no flags Details
File: limits (1.29 KB, text/plain)
2020-09-24 09:08 UTC, stippi
no flags Details
File: maps (98.99 KB, text/plain)
2020-09-24 09:08 UTC, stippi
no flags Details
File: mountinfo (2.63 KB, text/plain)
2020-09-24 09:08 UTC, stippi
no flags Details
File: open_fds (2.63 KB, text/plain)
2020-09-24 09:08 UTC, stippi
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2020-09-24 09:08 UTC, stippi
no flags Details

Description stippi 2020-09-24 09:08:15 UTC
Description of problem:
download PDF-file from firefox
open with xreader instead open in firefox
save as ...
after saving to desired location xreader closed with error  

Version-Release number of selected component:
xreader-2.6.4-1.fc32

Additional info:
reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-2.scope
cmdline:        xreader /tmp/mozilla_stippi0/3357926202_0901c413cae91223.pdf
crash_function: ev_metadata_copy_to
executable:     /usr/bin/xreader
journald_cursor: s=203e00450af948d99269a9e822e94087;i=51b87;b=bcb2d2be94224d29b00d1ce1bee49a59;m=431b9f3e7;t=5b00b15d6cd84;x=ccc2d211caa2199f
kernel:         5.8.10-200.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 ev_metadata_copy_to at ../shell/ev-metadata.c:335
 #1 ev_window_save_job_cb at ../shell/ev-window.c:2934
 #6 emit_finished at ../libview/ev-jobs.c:184
 #12 g_main_context_iteration at ../glib/gmain.c:4108
 #13 g_application_run at ../gio/gapplication.c:2559

Comment 1 stippi 2020-09-24 09:08:22 UTC
Created attachment 1716258 [details]
File: backtrace

Comment 2 stippi 2020-09-24 09:08:24 UTC
Created attachment 1716259 [details]
File: core_backtrace

Comment 3 stippi 2020-09-24 09:08:27 UTC
Created attachment 1716260 [details]
File: cpuinfo

Comment 4 stippi 2020-09-24 09:08:29 UTC
Created attachment 1716261 [details]
File: dso_list

Comment 5 stippi 2020-09-24 09:08:31 UTC
Created attachment 1716262 [details]
File: environ

Comment 6 stippi 2020-09-24 09:08:33 UTC
Created attachment 1716263 [details]
File: exploitable

Comment 7 stippi 2020-09-24 09:08:35 UTC
Created attachment 1716264 [details]
File: limits

Comment 8 stippi 2020-09-24 09:08:39 UTC
Created attachment 1716265 [details]
File: maps

Comment 9 stippi 2020-09-24 09:08:41 UTC
Created attachment 1716266 [details]
File: mountinfo

Comment 10 stippi 2020-09-24 09:08:43 UTC
Created attachment 1716267 [details]
File: open_fds

Comment 11 stippi 2020-09-24 09:08:47 UTC
Created attachment 1716268 [details]
File: proc_pid_status

Comment 12 Fedora Program Management 2021-04-29 16:38:46 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2021-05-25 16:47:20 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.